Index: make/ChangeLog
===================================================================
--- make/ChangeLog	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/ChangeLog	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -1,2 +1,25 @@
+2001-12-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* custom/bare.cfg: Remove make-target-options.
+	* custom/c4xsim.cfg: Ditto.
+	* custom/cvme961.cfg: Ditto.
+	* custom/efi68k.cfg: Ditto.
+	* custom/gen68302.cfg: Ditto.
+	* custom/gen68340.cfg: Ditto.
+	* custom/genmongoosev.cfg: Ditto.
+	* custom/gensh4.cfg: Remove make-target-options, remove GCC272
+	make-exe, remove empty lines.
+	* custom/h8sim.cfg: Remove make-target-options.
+	* custom/mcf5206elite.cfg: Ditto.
+	* custom/mrm332.cfg: Ditto.
+	* custom/mvme147.cfg: Ditto.
+	* custom/ods68302.cfg: Ditto.
+	* custom/p4000.cfg: Ditto.
+	* custom/p4600.cfg: Ditto.
+	* custom/p4650.cfg: Ditto.
+	* custom/pc386.cfg: Ditto.
+	* custom/portsw.cfg: Ditto.
+	* custom/simsh4.cfg: Ditto.
+
 2001-11-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: make/custom/bare.cfg
===================================================================
--- make/custom/bare.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/bare.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -20,9 +20,4 @@
 CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
 
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
-
 # this target has no start file
 START_BASE=
Index: make/custom/c4xsim.cfg
===================================================================
--- make/custom/c4xsim.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/c4xsim.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -25,8 +25,4 @@
 CFLAGS_OPTIMIZE_V=-O1
 
-#  This section makes the target dependent options file.
-define make-target-options
-endef
-
 # this target has no start file
 START_BASE=
Index: make/custom/cvme961.cfg
===================================================================
--- make/custom/cvme961.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/cvme961.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -26,9 +26,4 @@
 CFLAGS_OPTIMIZE_V=-O4 -mleaf-procedures
 
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
-
 # The following are definitions of make-exe which will work using ld as
 # is currently required.  It is expected that as of gcc 2.8, the end user
Index: make/custom/efi68k.cfg
===================================================================
--- make/custom/efi68k.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/efi68k.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -23,9 +23,4 @@
 # -O4 is ok for RTEMS
 CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
-
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/gen68302.cfg
===================================================================
--- make/custom/gen68302.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/gen68302.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -25,9 +25,4 @@
 CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
 
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
-
 # The following are definitions of make-exe which will work using ld as
 # is currently required.  It is expected that as of gcc 2.8, the end user
Index: make/custom/gen68340.cfg
===================================================================
--- make/custom/gen68340.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/gen68340.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -19,9 +19,4 @@
 # -O4 is ok for RTEMS
 CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
-
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/genmongoosev.cfg
===================================================================
--- make/custom/genmongoosev.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/genmongoosev.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -21,9 +21,4 @@
 # -O4 is ok for RTEMS
 CFLAGS_OPTIMIZE_V=-O2 -g
-
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/gensh4.cfg
===================================================================
--- make/custom/gensh4.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/gensh4.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -30,5 +30,4 @@
 CPU_CFLAGS= -m4 -ml
 
-
 # debug flags:
 CFLAGS_DEBUG_V = -O0 -ggdb
@@ -38,24 +37,8 @@
 CFLAGS_OPTIMIZE_V = -O4 
 
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
-
-
 # The following are definitions of make-exe which will work using ld as
 # is currently required.  It is expected that as of gcc 2.8, the end user
 # will be able to override parts of the compilers specs and link using gcc.
 
-ifeq ($(RTEMS_USE_GCC272),yes)
-define make-exe
-	$(LD) $(LDFLAGS) -N -e _start \
-	    -T$(PROJECT_RELEASE)/lib/linkcmds\
-	    -o $(basename $@).exe \
-	    $(START_FILE) $(LINK_OBJS) --start-group $(LINK_LIBS) --end-group
-	$(NM) -n $(basename $@).exe > $(basename $@).num
-	$(SIZE) $(basename $@).exe
-endef
-else
 define make-exe
 	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) -Wl,-Map,$(basename $@).map \
@@ -65,5 +48,4 @@
 	$(SIZE) $@
 endef
-endif
 
 # Miscellaneous additions go here
Index: make/custom/h8sim.cfg
===================================================================
--- make/custom/h8sim.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/h8sim.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -22,9 +22,4 @@
 # CFLAGS_OPTIMIZE_V=-O4 -mleaf-procedures
 CFLAGS_OPTIMIZE_V=-O0 -g
-
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mcf5206elite.cfg
===================================================================
--- make/custom/mcf5206elite.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/mcf5206elite.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -25,7 +25,4 @@
 # -O4 is ok for RTEMS
 CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
-
-define make-target-options
-endef
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mrm332.cfg
===================================================================
--- make/custom/mrm332.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/mrm332.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -19,21 +19,4 @@
 # optimize flag: typically -0, could use -O4 or -fast, -O4 is ok for RTEMS
 CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
-
-#  This section makes the target dependent options file.
-#  NDEBUG (C library)
-#     if defined asserts do not generate code.  This is commonly used
-#     as a command line option.
-#
-#  RTEMS_TEST_NO_PAUSE (RTEMS tests)
-#     do not pause between screens of output in the rtems tests
-#
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-
-define make-target-options
-	@echo "/* #define NDEBUG 1 */ "                     >>$@
-	@echo "#define RTEMS_TEST_NO_PAUSE 1"               >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                >>$@
-endef
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/mvme147.cfg
===================================================================
--- make/custom/mvme147.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/mvme147.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -19,9 +19,4 @@
 # -O4 is ok for RTEMS
 CFLAGS_OPTIMIZE_V=-O4 -fomit-frame-pointer
-
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/ods68302.cfg
===================================================================
--- make/custom/ods68302.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/ods68302.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -31,9 +31,4 @@
 # debugging please
 CFLAGS_DEBUG_V =
-
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
 
 # The following are definitions of make-exe which will work using ld as
Index: make/custom/p4000.cfg
===================================================================
--- make/custom/p4000.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/p4000.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -18,8 +18,4 @@
 #  and (hopefully) optimize for it. 
 CPU_CFLAGS = -mips3 -G0
-
-#  This section makes the target dependent options file.
-define make-target-options
-endef
 
 # optimize flag: typically -0, could use -O4 or -fast
Index: make/custom/p4600.cfg
===================================================================
--- make/custom/p4600.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/p4600.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -22,8 +22,4 @@
 #  and (hopefully) optimize for it. 
 CPU_CFLAGS = -mips3 -G0
-
-#  This section makes the target dependent options file.
-define make-target-options
-endef
 
 # optimize flag: typically -0, could use -O4 or -fast
Index: make/custom/p4650.cfg
===================================================================
--- make/custom/p4650.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/p4650.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -21,8 +21,4 @@
 #  and (hopefully) optimize for it. 
 CPU_CFLAGS = -m4650 -mips3 -G0
-
-#  This section makes the target dependent options file.
-define make-target-options
-endef
 
 # optimize flag: typically -0, could use -O4 or -fast
Index: make/custom/pc386.cfg
===================================================================
--- make/custom/pc386.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/pc386.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -25,9 +25,4 @@
 # -fomit-frame-pointer breaks debugging and C++ exceptions
 CFLAGS_OPTIMIZE_V=-O4
-
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
 
 # Here is the rule to actually build a $(ARCH)/foo.exe
Index: make/custom/portsw.cfg
===================================================================
--- make/custom/portsw.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/portsw.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -14,9 +14,4 @@
 # This is the actual bsp directory used during the build process.
 RTEMS_BSP_FAMILY=portsw
-
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
 
 ifeq ($(RTEMS_USE_GCC272),yes)
Index: make/custom/simsh4.cfg
===================================================================
--- make/custom/simsh4.cfg	(revision d0d33f21a3501a44a3530f4806d523220900e366)
+++ make/custom/simsh4.cfg	(revision 97dbdde1741d2ac81a71051313dd49e0e25f64dd)
@@ -37,10 +37,4 @@
 CFLAGS_OPTIMIZE_V = -O4 
 
-#  This section makes the target dependent options file.
-
-define make-target-options
-endef
-
-
 # The following are definitions of make-exe which will work using ld as
 # is currently required.  It is expected that as of gcc 2.8, the end user
